Subject: Re: [GIT]: Networking

From: Ivo van Doorn <[email-masked]>
Date: Wed, 6 Aug 2008 16:35:04 +0200

On Wednesday 06 August 2008, John W. Linville wrote:
> On Wed, Aug 06, 2008 at 10:22:02AM +0200, Ivo van Doorn wrote:
> > On Wednesday 06 August 2008, Linus Torvalds wrote:
> 
> > > Well, it's also trying to support both 2.4.x and 2.6 etc. Yeah, that is 
> > > horrid. At the same time, I can't say that the "rewrite it entirely" 
> > > approach of the previous-gen cards has worked very well either, since that 
> > > seems to have just perpetuated the problems. It would be great to try to 
> > > educate them, but I'm not finding even an email address in the sources.
> > 
> > I've send a mail to Ralink with a request if they could step away from the
> > "port the windows driver to linux" idea and get the Linux driver "kernel-ready"
> > early on.
> > That won't solve the problem now, but hopefully it does mean the drivers for
> > the next generation can go into the kernel sooner.
> 
> The Ralink guys are being educated and AFAICT they are interested in
> better participation.  Time will tell, of course.
> 
> In the meantime as Ivo indicated he is "on the case" -- I think we
> will see something before too long.

For the interested, the rt2800pci and rt2800usb code which I am working on can
be found in the experimental branch of my repository:
http://git.kernel.org/?p=linux/kernel/git/ivd/rt2x00.git;a=shortlog;h=experimental
Because the code is incomplete it cannot be tested, but it gives at least an idea
on what is already done. ;)

Ivo